aboutsummaryrefslogtreecommitdiffstats
path: root/community
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-26 13:20:15 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-26 13:20:15 +0000
commit18584035069de71c257ad06e5c4470e5f517e5d2 (patch)
tree2047b973972361112608346af21966d152ff4c73 /community
parent43a5291eb0f955e314055ca9d97eff8a95e6f72c (diff)
downloadaports-18584035069de71c257ad06e5c4470e5f517e5d2.tar.gz
aports-18584035069de71c257ad06e5c4470e5f517e5d2.tar.bz2
aports-18584035069de71c257ad06e5c4470e5f517e5d2.tar.xz
community/perl-net-cli-interact: moved from unmaintaiend, upgrade to 2.200005
Diffstat (limited to 'community')
-rw-r--r--community/perl-net-cli-interact/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/community/perl-net-cli-interact/APKBUILD b/community/perl-net-cli-interact/APKBUILD
new file mode 100644
index 0000000000..54074564c9
--- /dev/null
+++ b/community/perl-net-cli-interact/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=perl-net-cli-interact
+_pkgreal=Net-CLI-Interact
+pkgver=2.200005
+pkgrel=0
+pkgdesc="Toolkit for CLI Automation"
+url="http://search.cpan.org/dist/Net-CLI-Interact/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-moo perl-log-dispatch-configurator-any perl-path-class
+perl-log-dispatch-config perl-ipc-run perl-moox-types-mooselike
+perl-io-tty perl-class-load perl-net-telnet perl-class-mix"
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/O/OL/OLIVER/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="c2089d5837d70f177f63a3db5b2db942 Net-CLI-Interact-2.200005.tar.gz"
+sha256sums="7b522d6496d38837b0d966deb2ea6be28c9238bb81be967e7167aa0f891b61cf Net-CLI-Interact-2.200005.tar.gz"
+sha512sums="433c49e17bb8c9ee823f620dda7c3af0bca601be761f59ef80521c948536402e217e1b524e757f513a23d73e947941ae4c2a04e30963f5bcc6be0181e8cd6370 Net-CLI-Interact-2.200005.tar.gz"